Debian Bug report logs - #677704
unusable multiarch (triggers "Dynamic MMap ran out of room" error)

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Robert Millan <rmh@debian.org>

Date: Sat, 16 Jun 2012 10:09:57 UTC

Severity: serious

Found in version apt/0.9.6

Fixed in version apt/0.9.7.3

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Sat, 16 Jun 2012 10:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, APT Development Team <deity@lists.debian.org>. (Sat, 16 Jun 2012 10:10:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unusable multiarch (triggers "Dynamic MMap ran out of room" error)
Date: Sat, 16 Jun 2012 12:09:06 +0200
Package: apt
Version: 0.9.6
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Tried increasing this limit, with no improvement.  I also wonder how is
libpgocaml-ocaml-dev related to this ...

$ sudo dpkg --add-architecture kfreebsd-i386
$ sudo apt-get update
Get:1 http://cdn.debian.net sid InRelease [234 kB]
Get:2 http://cdn.debian.net sid/main Sources/DiffIndex [7876 B]
Get:3 http://cdn.debian.net sid/main kfreebsd-amd64 Packages/DiffIndex [7876 B]
Get:4 http://cdn.debian.net sid/main kfreebsd-i386 Packages/DiffIndex [7876 B]
Get:5 http://cdn.debian.net sid/main Translation-en [4013 kB]
Get:6 http://cdn.debian.net sid/main Translation-ca/DiffIndex [1333 B]
Get:7 http://cdn.debian.net sid/main 2012-06-16-0815.58.pdiff [8550 B]
Get:8 http://cdn.debian.net sid/main 2012-06-16-0815.58.pdiff [8550 B]
Get:9 http://cdn.debian.net sid/main kfreebsd-amd64 2012-06-16-0815.58.pdiff [19.8 kB]
Get:10 http://cdn.debian.net sid/main kfreebsd-i386 2012-06-16-0815.58.pdiff [11.1 kB]
Get:11 http://cdn.debian.net sid/main kfreebsd-amd64 2012-06-16-0815.58.pdiff [19.8 kB]
Get:12 http://cdn.debian.net sid/main kfreebsd-i386 2012-06-16-0815.58.pdiff [11.1 kB]
Fetched 298 kB in 8s (36.8 kB/s)
E: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)
Reading package lists... Error!
E: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)
E: Error occurred while processing libpgocaml-ocaml-dev (NewVersion2)
E: Problem with MergeList /var/lib/apt/lists/cdn.debian.net_debian_dists_sid_main_binary-kfreebsd-i386_Packages
E: The package lists or status file could not be parsed or opened.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt depends on:
ii  debian-archive-keyring  2012.4
ii  gnupg                   1.4.12-4
ii  libapt-pkg4.12          0.9.6
ii  libc0.1                 2.13-33
ii  libgcc1                 1:4.7.0-13
ii  libstdc++6              4.7.0-13

apt recommends no packages.

Versions of packages apt suggests:
pn  apt-doc     <none>
ii  aptitude    0.6.8-1
ii  dpkg-dev    1.16.4.2
pn  python-apt  <none>
ii  xz-utils    5.1.1alpha+20110809-3

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Sat, 16 Jun 2012 10:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 16 Jun 2012 10:27:12 GMT) Full text and rfc822 format available.

Message #10 received at 677704@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Robert Millan <rmh@debian.org>, 677704@bugs.debian.org
Subject: Re: Bug#677704: unusable multiarch (triggers "Dynamic MMap ran out of room" error)
Date: Sat, 16 Jun 2012 12:23:08 +0200
On Sat, Jun 16, 2012 at 12:09:06PM +0200, Robert Millan wrote:
> Package: apt
> Version: 0.9.6
> Severity: important
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> 
> Tried increasing this limit, with no improvement.  I also wonder how is
> libpgocaml-ocaml-dev related to this ...

Yes, we don't have mremap() on kFreeBSD, which we use for resizing. This
could be fixed by rewriting the mremap() part to use munmap() and mmap()
instead of mremap(). I can't tell you why the limit increasing does not
help, though, someone else might know more.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Sat, 16 Jun 2012 10:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 16 Jun 2012 10:54:09 GMT) Full text and rfc822 format available.

Message #15 received at 677704@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Julian Andres Klode <jak@debian.org>, Robert Millan <rmh@debian.org>, 677704@bugs.debian.org
Subject: Re: Bug#677704: unusable multiarch (triggers "Dynamic MMap ran out of room" error)
Date: Sat, 16 Jun 2012 12:53:43 +0200
clone 677704 -1
retitle -1 missing mremap() implementation
severity -1 wishlist
reassign -1 kfreebsd-9
forwarded -1 http://www.freebsd.org/cgi/query-pr.cgi?pr=59912
block 677704 by -1
thanks

2012/6/16 Julian Andres Klode <jak@debian.org>:
> On Sat, Jun 16, 2012 at 12:09:06PM +0200, Robert Millan wrote:
>> Package: apt
>> Version: 0.9.6
>> Severity: important
>> User: debian-bsd@lists.debian.org
>> Usertags: kfreebsd
>>
>> Tried increasing this limit, with no improvement.  I also wonder how is
>> libpgocaml-ocaml-dev related to this ...
>
> Yes, we don't have mremap() on kFreeBSD, which we use for resizing. This
> could be fixed by rewriting the mremap() part to use munmap() and mmap()
> instead of mremap(). I can't tell you why the limit increasing does not
> help, though, someone else might know more.

Thanks.  Unfortunately I don't currently have time to work on this,
but I'm adding a bug for mremap request as well...

-- 
Robert Millan




Bug 677704 cloned as bug 677707 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 16 Jun 2012 10:54:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 677704: 677707 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 16 Jun 2012 10:54:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Sat, 16 Jun 2012 11:27:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 16 Jun 2012 11:27:44 GMT) Full text and rfc822 format available.

Message #24 received at 677704@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 677704@bugs.debian.org
Subject: Re: Bug#677704: unusable multiarch (triggers "Dynamic MMap ran out of room" error)
Date: Sat, 16 Jun 2012 13:25:00 +0200
On Sat, Jun 16, 2012 at 12:53:43PM +0200, Robert Millan wrote:
> clone 677704 -1
> retitle -1 missing mremap() implementation
> severity -1 wishlist
> reassign -1 kfreebsd-9
> forwarded -1 http://www.freebsd.org/cgi/query-pr.cgi?pr=59912
> block 677704 by -1
> thanks
> 
> 2012/6/16 Julian Andres Klode <jak@debian.org>:
> > On Sat, Jun 16, 2012 at 12:09:06PM +0200, Robert Millan wrote:
> >> Package: apt
> >> Version: 0.9.6
> >> Severity: important
> >> User: debian-bsd@lists.debian.org
> >> Usertags: kfreebsd
> >>
> >> Tried increasing this limit, with no improvement.  I also wonder how is
> >> libpgocaml-ocaml-dev related to this ...
> >
> > Yes, we don't have mremap() on kFreeBSD, which we use for resizing. This
> > could be fixed by rewriting the mremap() part to use munmap() and mmap()
> > instead of mremap(). I can't tell you why the limit increasing does not
> > help, though, someone else might know more.
> 
> Thanks.  Unfortunately I don't currently have time to work on this,
> but I'm adding a bug for mremap request as well...

Setting APT::Cache-Start instead of APT::Cache-Limit works. The message
is bogus on FreeBSD as we do not support growing, so the limit is ignored
and we only try to create a cache of APT::Cache-Start bytes.

The best way to fix this in my opinion is to use munmap() and mmap()
instead of mremap() for file-based mappings on not-Linux, and use
malloc()/realloc() for anonymous memory. But the code is slightly
complicated currently, with all kinds of different cases.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Sat, 16 Jun 2012 12:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 16 Jun 2012 12:21:17 GMT) Full text and rfc822 format available.

Message #29 received at 677704@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 677704@bugs.debian.org
Subject: Re: Bug#677704: unusable multiarch (triggers "Dynamic MMap ran out of room" error)
Date: Sat, 16 Jun 2012 14:15:44 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jun 16, 2012 at 12:53:43PM +0200, Robert Millan wrote:
> clone 677704 -1
> retitle -1 missing mremap() implementation
> severity -1 wishlist
> reassign -1 kfreebsd-9
> forwarded -1 http://www.freebsd.org/cgi/query-pr.cgi?pr=59912
> block 677704 by -1
> thanks
> 
> 2012/6/16 Julian Andres Klode <jak@debian.org>:
> > On Sat, Jun 16, 2012 at 12:09:06PM +0200, Robert Millan wrote:
> >> Package: apt
> >> Version: 0.9.6
> >> Severity: important
> >> User: debian-bsd@lists.debian.org
> >> Usertags: kfreebsd
> >>
> >> Tried increasing this limit, with no improvement.  I also wonder how is
> >> libpgocaml-ocaml-dev related to this ...
> >
> > Yes, we don't have mremap() on kFreeBSD, which we use for resizing. This
> > could be fixed by rewriting the mremap() part to use munmap() and mmap()
> > instead of mremap(). I can't tell you why the limit increasing does not
> > help, though, someone else might know more.
> 
> Thanks.  Unfortunately I don't currently have time to work on this,
> but I'm adding a bug for mremap request as well...

The attached patch probably fixes this, although I did not test it
myself on kFreeBSD (but on Linux). And it's a bit hackish in my
opinion, but might be better than nothing.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[remap-bsd.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Thu, 21 Jun 2012 18:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 21 Jun 2012 18:21:04 GMT) Full text and rfc822 format available.

Message #34 received at 677704@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Julian Andres Klode <jak@debian.org>, Robert Millan <rmh@debian.org>, 677704@bugs.debian.org
Subject: Re: Bug#677704: unusable multiarch (triggers "Dynamic MMap ran out of room" error)
Date: Thu, 21 Jun 2012 20:18:47 +0200
2012/6/16 Julian Andres Klode <jak@debian.org>:
> The attached patch probably fixes this, although I did not test it
> myself on kFreeBSD (but on Linux). And it's a bit hackish in my
> opinion, but might be better than nothing.

Yes, this worked.  Thank you.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Fri, 06 Jul 2012 18:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 06 Jul 2012 18:45:08 GMT) Full text and rfc822 format available.

Message #39 received at 677704@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 677704@bugs.debian.org
Subject: FWIW -- this affects fresh installations
Date: Fri, 6 Jul 2012 14:42:35 -0400
Just installed kfreebsd-amd64 in a VM with 2GB of ram and could not do
anything with APT due to this failure -- not update, nor install.  So
any new installation would be effected by this bug and it better be
addressed asap

just my .1 cents

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Sat, 07 Jul 2012 11:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 07 Jul 2012 11:15:03 GMT) Full text and rfc822 format available.

Message #44 received at 677704@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: Yaroslav Halchenko <debian@onerussian.com>, 677704@bugs.debian.org
Subject: Re: Bug#677704: FWIW -- this affects fresh installations
Date: Sat, 7 Jul 2012 13:07:28 +0200
On Fri, Jul 6, 2012 at 8:42 PM, Yaroslav Halchenko
<debian@onerussian.com> wrote:
> Just installed kfreebsd-amd64 in a VM with 2GB of ram and could not do
> anything with APT due to this failure -- not update, nor install.  So
> any new installation would be effected by this bug and it better be
> addressed asap

I presume you have 0.9.6, right?

Julian committed some in 0.9.7 which as 0.9.7.1 hopefully finds it way into
wheezy in ~3 days. I haven't tested it myself, but I guess this new[]/realloc
mismatch was the issue here. It would be great if you could test and/or
confirm this of course.


Best regards

David Kalnischkies




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Sat, 07 Jul 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 07 Jul 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #49 received at 677704@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: David Kalnischkies <kalnischkies+debian@gmail.com>
Cc: 677704@bugs.debian.org
Subject: Re: Bug#677704: FWIW -- this affects fresh installations
Date: Sat, 7 Jul 2012 12:42:42 -0400
On Sat, 07 Jul 2012, David Kalnischkies wrote:
> > any new installation would be effected by this bug and it better be
> > addressed asap

> I presume you have 0.9.6, right?

just checked -- that is right -- as is provided by weekly d-i netinst
image

> Julian committed some in 0.9.7 which as 0.9.7.1 hopefully finds it way into
> wheezy in ~3 days. I haven't tested it myself, but I guess this new[]/realloc
> mismatch was the issue here. It would be great if you could test and/or
> confirm this of course.

ah cool -- so now we will have some reflection of those fixes in this
report ;)

I have installed apt, libapt-{inst1.5,pkg4.12} 0.9.7.1 from sid.
Unfortunately apt-cache update still failed with the Dynamic MMap
ran out of room... 

I just now realized that inside sid chroot on the same VM (installed for
testing other issues) I haven't experienced this problem, but it didn't
download any translations.  Adding APT::Acquire::Languages "en" and
removing all previously downloaded Translation files helped in the main
system also helped to overcome the problem.  but now not sure sure how
to switch to previous state of things that it tries to fetch all of the
translations, removing apt.conf with ::Languages or setting them to
obvious magical "all" doesn't help ;-)  I guess I (or someone
else) would need to RTFM or reinstall VM to get to the same
problem.

Cheers!
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Tue, 17 Jul 2012 23:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 17 Jul 2012 23:30:05 GMT) Full text and rfc822 format available.

Message #54 received at 677704@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 677704@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#677704: unusable multiarch (triggers "Dynamic MMap ran out of room" error)
Date: Tue, 17 Jul 2012 23:58:19 +0100
I think the same just happened to me within the kfreebsd-amd64
installer.  So this could be serious, except I didn't hit this problem
during a Wheezy alpha1 kfreebsd-amd64 install just a couple of weeks ago.


The advice below about Cache-Limit seems to contradict apt.conf(5),
according to which the default is 0 = no limit.  Raising Cache-Start
instead to 41943040 is what allowed me to work around this issue (avoids
having to mremap() later, I guess).

> Jul 17 22:07:45 in-target: Hit http://debian.morphium.info wheezy InRelease
> Jul 17 22:07:47 in-target: Get:1 http://debian.morphium.info wheezy/main kfreebsd-amd64 Packages/DiffIndex [7,876 B]
> Jul 17 22:08:07 in-target: Get:2 http://debian.morphium.info wheezy/main Translation-en/DiffIndex [7,876 B]
> Jul 17 22:08:20 in-target: Get:3 http://debian.morphium.info wheezy/main Translation-nl/DiffIndex [2,161 B]
> Jul 17 22:08:20 in-target: Get:4 http://debian.morphium.info wheezy/main Translation-fr/DiffIndex [7,819 B]
> Jul 17 22:08:22 in-target: Get:5 http://debian.morphium.info wheezy/main Translation-km/DiffIndex [229 B]
> Jul 17 22:08:23 in-target: Get:6 http://debian.morphium.info wheezy/main Translation-cs/DiffIndex [7,819 B]
> Jul 17 22:08:24 in-target: Get:7 http://debian.morphium.info wheezy/main Translation-hu/DiffIndex [1,471 B]
> Jul 17 22:08:24 in-target: Get:8 http://debian.morphium.info wheezy/main Translation-es/DiffIndex [7,819 B]
> Jul 17 22:08:26 in-target: Get:9 http://debian.morphium.info wheezy/main Translation-pl/DiffIndex [7,819 B]
> Jul 17 22:08:27 in-target: Get:10 http://debian.morphium.info wheezy/main Translation-hr/DiffIndex [2,299 B]
> Jul 17 22:08:27 in-target: Hit http://debian.morphium.info wheezy/main Translation-nb
> Jul 17 22:08:28 in-target: Get:11 http://debian.morphium.info wheezy/main Translation-da/DiffIndex [7,819 B]
> Jul 17 22:08:32 in-target: Hit http://debian.morphium.info wheezy/main Translation-zh
> Jul 17 22:08:32 in-target: Get:12 http://debian.morphium.info wheezy/main Translation-sk/DiffIndex [7,819 B]
> Jul 17 22:08:33 in-target: Get:13 http://debian.morphium.info wheezy/main Translation-sr/DiffIndex [5,887 B]
> Jul 17 22:08:34 in-target: Hit http://debian.morphium.info wheezy/main Translation-eo
> Jul 17 22:08:34 in-target: Hit http://debian.morphium.info wheezy/main Translation-ro
> Jul 17 22:08:34 in-target: Get:14 http://debian.morphium.info wheezy/main Translation-it/DiffIndex [7,876 B]
> Jul 17 22:08:42 in-target: Get:15 http://debian.morphium.info wheezy/main Translation-ca/DiffIndex [367 B]
> Jul 17 22:08:42 in-target: Get:16 http://debian.morphium.info wheezy/main Translation-id/DiffIndex [229 B]
> Jul 17 22:08:42 in-target: Get:17 http://debian.morphium.info wheezy/main Translation-ru/DiffIndex [7,819 B]
> Jul 17 22:08:44 in-target: Get:18 http://debian.morphium.info wheezy/main Translation-pt/DiffIndex [7,819 B]
> Jul 17 22:08:46 in-target: Get:19 http://debian.morphium.info wheezy/main Translation-ko/DiffIndex [5,059 B]
> Jul 17 22:08:47 in-target: Get:20 http://debian.morphium.info wheezy/main Translation-eu/DiffIndex [643 B]
> Jul 17 22:08:47 in-target: Get:21 http://debian.morphium.info wheezy/main Translation-sv/DiffIndex [2,851 B]
> Jul 17 22:08:47 in-target: Get:22 http://debian.morphium.info wheezy/main Translation-fi/DiffIndex [7,681 B]
> Jul 17 22:08:47 in-target: Get:23 http://debian.morphium.info wheezy/main Translation-uk/DiffIndex [7,819 B]
> Jul 17 22:08:51 in-target: Get:24 http://debian.morphium.info wheezy/main Translation-de/DiffIndex [7,819 B]
> Jul 17 22:08:56 in-target: Get:25 http://debian.morphium.info wheezy/main Translation-vi/DiffIndex [643 B]
> Jul 17 22:08:56 in-target: Get:26 http://debian.morphium.info wheezy/main Translation-ja/DiffIndex [7,819 B]
> Jul 17 22:08:59 in-target: Hit http://debian.morphium.info wheezy/main Translation-hr
> Jul 17 22:09:00 in-target: Fetched 139 kB in 1min 15s (1,839 B/s)
> Jul 17 22:09:00 in-target: Reading package lists...
> Jul 17 22:12:34 in-target: E
> Jul 17 22:12:34 in-target: : 
> Jul 17 22:12:34 in-target: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)
> Jul 17 22:12:34 in-target: 
> Jul 17 22:12:34 in-target: 
> Jul 17 22:12:34 in-target: E
> Jul 17 22:12:34 in-target: : 
> Jul 17 22:12:34 in-target: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)
> Jul 17 22:12:34 in-target: 
> Jul 17 22:12:34 in-target: E
> Jul 17 22:12:34 in-target: : 
> Jul 17 22:12:34 in-target: Error occurred while processing ttf-ecolier-court (NewDescription1)
> Jul 17 22:12:34 in-target: 
> Jul 17 22:12:34 in-target: E
> Jul 17 22:12:34 in-target: : 
> Jul 17 22:12:34 in-target: Problem with MergeList /var/lib/apt/lists/debian.morphium.info_debian_dists_wheezy_main_i18n_Translation-ja
> Jul 17 22:12:34 in-target: 
> Jul 17 22:12:34 in-target: E
> Jul 17 22:12:34 in-target: : 
> Jul 17 22:12:34 in-target: The package lists or status file could not be parsed or opened.
> Jul 17 22:12:34 in-target: 


There seemed nothing odd about the package mentioned (ttf-ecolier-court)
because it is identical to the previous and next entries:

> Package: ttf-dzongkha
> Description-md5: d022b4cd65360a59d321e029d730c59e
> Description-ja: 移行用ダミーパッケージ
>  これは移行用のダミーパッケージです。安全に削除できます。
> 
> Package: ttf-ecolier-court
> Description-md5: d022b4cd65360a59d321e029d730c59e
> Description-ja: 移行用ダミーパッケージ
>  これは移行用のダミーパッケージです。安全に削除できます。
> 
> Package: ttf-ecolier-lignes-court
> Description-md5: d022b4cd65360a59d321e029d730c59e
> Description-ja: 移行用ダミーパッケージ
>  これは移行用のダミーパッケージです。安全に削除できます。

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Sun, 22 Jul 2012 12:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 22 Jul 2012 12:09:06 GMT) Full text and rfc822 format available.

Message #59 received at 677704@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 677704@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#677704: unusable multiarch (triggers "Dynamic MMap ran out of room" error)
Date: Sun, 22 Jul 2012 13:04:39 +0100
severity 677704 serious
thanks

This happened again to me on another kfreebsd-amd64 system.  As it
breaks installation I'd say the issue itself is RC, but I don't know
exactly where it should be fixed.

> ┌─────────────┤ [!!] Configure the package manager ├──────────────┐
> │                                                                 │
> │ The installer failed to access the mirror. This may be a        │
> │ problem with your network, or with the mirror. You can choose   │
> │ to retry the download, select a different mirror, or ignore     │
> │ the problem and continue without all the packages from this     │
> │ mirror.                                                         │

The same was reported by Jak when trying to install:
http://lists.debian.org/50071F70.8080909@gmx.ca

I think it may have been introduced sometime after the d-i alpha1 build.
 I'm seeing it in the 'candidate' beta1 build temporarily at:
http://cdimage.debian.org/cdimage/.wheezy_di_beta1_build1/kfreebsd-amd64/iso-cd/

Fortunately there is a simple workaround (in the installer /target) :

/etc/apt/apt.conf.d/60local:
APT::Cache-Start 31457280;

whereas with <=25 MiB the issue is seen in d-i, or sometimes on an
installed system during apt-get install.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Severity set to 'serious' from 'important' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 22 Jul 2012 12:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#677704; Package apt. (Sun, 22 Jul 2012 12:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sun, 22 Jul 2012 12:39:06 GMT) Full text and rfc822 format available.

Message #66 received at 677704@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 677704@bugs.debian.org, "debian-bsd\@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#677704: unusable multiarch (triggers "Dynamic MMap ran out of room" error)
Date: Sun, 22 Jul 2012 14:08:42 +0200
Hi!

Steven Chamberlain <steven@pyro.eu.org> writes:
> Fortunately there is a simple workaround (in the installer /target) :
>
> /etc/apt/apt.conf.d/60local:
> APT::Cache-Start 31457280;
>
> whereas with <=25 MiB the issue is seen in d-i, or sometimes on an
> installed system during apt-get install.

I'd guess this is 657085 combined with more packages getting multiarch-ready

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer



Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Fri, 27 Jul 2012 17:33:03 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Fri, 27 Jul 2012 17:33:04 GMT) Full text and rfc822 format available.

Message #71 received at 677704-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 677704-close@bugs.debian.org
Subject: Bug#677704: fixed in apt 0.9.7.3
Date: Fri, 27 Jul 2012 17:32:12 +0000
Source: apt
Source-Version: 0.9.7.3

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677704@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 Jul 2012 17:53:41 +0200
Source: apt
Binary: apt libapt-pkg4.12 libapt-inst1.5 apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.9.7.3
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - commandline package manager
 apt-doc    - documentation for APT
 apt-transport-https - https download transport for APT
 apt-utils  - package managment related utility programs
 libapt-inst1.5 - deb package format runtime library
 libapt-pkg-dev - development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - documentation for APT development
 libapt-pkg4.12 - package managment runtime library
Closes: 677704 680758 681566 681958
Changes: 
 apt (0.9.7.3) unstable; urgency=low
 .
   [ Manpages translation updates ]
   * Spanish; (Omar Campagne). Closes: #681566
 .
   [ Program translation updates ]
   * Czech (Miroslav Kure). Closes: #680758
 .
   [ David Kalnischkies ]
   * apt-pkg/cacheset.cc:
     - handle :all and :native correctly as architectures again
       in the commandline parsing (regression in 0.9.7)
   * apt-pkg/packagemanager.cc:
     - do not segfault if nothing can be configured to statisfy
       a pre-depends (e.g. in a pre-depends loop) (Closes: #681958)
   * apt-pkg/contrib/mmap.cc:
     - trigger the usage of the fallback code for kfreebsd also in the
       second (filebased) constructor of DynamicMMap (Closes: #677704)
     - refer to APT::Cache-Start in case the growing failed as if -Limit is
       really the offender it will be noted in a previous error message.
     - for filesystems not supporting mmap'ing a file we need to use a
       SyncToFd dummy just as we did for compressed files in 0.9.5
Checksums-Sha1: 
 32d49e00f2e4cedeee78f5397e0852fc561df93c 1689 apt_0.9.7.3.dsc
 c3f3c1e636aca38c1dcc865027f7c0f1f279ddea 3390669 apt_0.9.7.3.tar.gz
 ee5f5eeb3dc036a44f571daada20693d899142ca 259534 apt-doc_0.9.7.3_all.deb
 44c88d264aa6b6f8992d6d933f503eedb5f59bf2 958832 libapt-pkg-doc_0.9.7.3_all.deb
 2ab15dcc576af640610acc76ad8cb773097d5ab2 881552 libapt-pkg4.12_0.9.7.3_amd64.deb
 de541211fdfb31eec2112a95a9ae47c2ec9c6cf4 163260 libapt-inst1.5_0.9.7.3_amd64.deb
 f0d6a73233a47e565e072139bf5374870ebf300c 1151922 apt_0.9.7.3_amd64.deb
 ff7e628bc5ed8fd0fda4ab1fa164a316ad3b3b46 184204 libapt-pkg-dev_0.9.7.3_amd64.deb
 fc0511f001d23a5018ae4a381ec3ed8624c97a59 373232 apt-utils_0.9.7.3_amd64.deb
 4cd6f30cc61d791769d2644fc38d70bdddb2ad37 105856 apt-transport-https_0.9.7.3_amd64.deb
Checksums-Sha256: 
 2428a2e0ab28fe91d9c5fe1314da89ed5663054f17158eda9d6de9c5f2204da3 1689 apt_0.9.7.3.dsc
 f6a3063eb29fe8cf02060c2dd127acff21a853fa887d4c24ab4c9ccbfc889ca9 3390669 apt_0.9.7.3.tar.gz
 8513e910e9dfa9c2eeaff9083d619f2bda169297507631251421979d597491f2 259534 apt-doc_0.9.7.3_all.deb
 6f44b1d6b8a76d82a93c4fc3b8f8499a0dd7af3cd7e89b033d91f902fa11fc79 958832 libapt-pkg-doc_0.9.7.3_all.deb
 1680fbfae5b80f7d44ff6efcab97a73baa66241236c8688ef35127fdef22cc93 881552 libapt-pkg4.12_0.9.7.3_amd64.deb
 412ee91a734191bed6772d09e9f55169ffd8d0140bdccefd2dd998b8788191b0 163260 libapt-inst1.5_0.9.7.3_amd64.deb
 fda3b89ac2f1d93180e2d4be3bed2b70f86683fa0ed1b245b010e74ef5facaf2 1151922 apt_0.9.7.3_amd64.deb
 182b36cdf3f087779342dc77a38564a19f99f0c8c59d6cbd01123d080d3b2105 184204 libapt-pkg-dev_0.9.7.3_amd64.deb
 5d1ad4fcf30e1812489d1dac1e8ec911c0979b654bf69ba410d12172fee813a4 373232 apt-utils_0.9.7.3_amd64.deb
 cc86b493406f46e4aafbb7095368ef221f7ef020f6fec365c5a9800b4cf5c394 105856 apt-transport-https_0.9.7.3_amd64.deb
Files: 
 debc780bdd3ea21dcb8514981768c892 1689 admin important apt_0.9.7.3.dsc
 8a6b11ec136a4c95eeef174385a4db22 3390669 admin important apt_0.9.7.3.tar.gz
 e6f33f18c535770606f23a2d8f71fc51 259534 doc optional apt-doc_0.9.7.3_all.deb
 a032435a87d1ac422cb829bdd9162dd6 958832 doc optional libapt-pkg-doc_0.9.7.3_all.deb
 746c9e6f128d539bbcc7140182843284 881552 libs important libapt-pkg4.12_0.9.7.3_amd64.deb
 0316d593788ce8c9228189f2d3786b26 163260 libs important libapt-inst1.5_0.9.7.3_amd64.deb
 4297b709d12d36e91141ca4d2d9eb196 1151922 admin important apt_0.9.7.3_amd64.deb
 30a578ec4e1caf8c42ac22d2b47e9e83 184204 libdevel optional libapt-pkg-dev_0.9.7.3_amd64.deb
 188bf121b03872fb03792423279ecb87 373232 admin important apt-utils_0.9.7.3_amd64.deb
 bbccda7fe0626b995adf87ebb932f921 105856 admin optional apt-transport-https_0.9.7.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlASzMMACgkQliSD4VZixzTAagCdHgxqjCEKF/oFw1BgSTTnXu3d
3wcAnR/7smgjEHBugIE1e2XyJ1B0msFc
=ndGJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Sep 2012 07:25:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:04:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.